Bug 241875 - oodraw fails to assign typeface changes in CTL fonts
Summary: oodraw fails to assign typeface changes in CTL fonts
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
low
urgent
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-31 11:54 UTC by Ben Shomer
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-13 22:31:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 72349 None None None Never
OpenOffice.org 78017 None None None Never

Description Ben Shomer 2007-05-31 11:54:21 UTC
Description of problem:
In openoffice draw with Hebrew support - failure to assign font and size
to Hebrew characters.
When text is being selected and changes to font type/size are being
applied they are not reflected.

Version-Release number of selected component (if applicable):
Fedora 7 pre-release RC2

How reproducible:
Always.

Steps to Reproduce:
1. Open oodraw on machine with hebrew support.
2. Select text tool and type text in hebrew
3. Select-all and chenge typeface or size.
  
Actual results:
Nothing changes and I notice that the location marker on the 
rulers make a very slow move on the ruler, The application is
kept stalled until this movement reaches the end of the rulers.

Expected results:
Typeface should change as usual.

Additional info:
It happens only in Hebrew.
I noticed the following: The change which the user applies actually takes
effect on the western characters instead of the CTL font as it should.
When selecting Format=>character... it can be viewed. Also, when the 
font type or size is being changed in the CTL segment of the format character
window, the action does take place as expected.

Comment 1 Caolan McNamara 2007-05-31 13:53:07 UTC
hmm, seems to work fine if there is *just* CTL text, but if there is "western"
or CJK chars then only the western text gets modified, requiring
format->character to be used on the CTL text.

Comment 2 Caolan McNamara 2007-05-31 14:19:36 UTC
The backport of the http://www.openoffice.org/issues/show_bug.cgi?id=72349 fix
is triggering this problem

Comment 3 Caolan McNamara 2007-05-31 16:14:46 UTC
hmm, added some comments to upstream issue and checked in a fix. Will be in
first OOo update post Fedora-7

Comment 4 Caolan McNamara 2007-06-13 22:31:54 UTC
should be ok with todays fedora errata 2.2.0-14.11


Note You need to log in before you can comment on or make changes to this bug.